com.comtrade.ecm.engine.logging

## Class LoggerDefault

- java.lang.Object
- - com.comtrade.ecm.engine.logging.LoggerDefault

- All Implemented Interfaces:
    EcmLogger, EcmSimpleLogger, EcmSupplierLogger

      public class LoggerDefault
      extends java.lang.Object
      implements EcmLogger

  Dummy logger.
  Does nothing. Serves as a do-nothing logging object, if no other specific `EcmLogger` has been defined. Since it works the same (precisely nothing) for all the classes, only one object of this class is created (no reason to have more of them).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggerDefault` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Identifiable identifiable, java.lang.String text)`
    `void` | `debug(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `debug(java.lang.String text)`
    `void` | `debug(java.lang.String text, java.lang.Throwable e)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `debug(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `debug(java.lang.Throwable e)`
    `void` | `error(Identifiable identifiable, java.lang.String text)`
    `void` | `error(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(java.lang.String text)`
    `void` | `error(java.lang.String text, java.lang.Throwable e)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `error(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `error(java.lang.Throwable e)`
    `void` | `info(Identifiable identifiable, java.lang.String text)`
    `void` | `info(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(java.lang.String text)`
    `void` | `info(java.lang.String text, java.lang.Throwable e)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `info(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `info(java.lang.Throwable e)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `setLoggingLevel(LoggingLevel level)`
    `void` | `warning(Identifiable identifiable, java.lang.String text)`
    `void` | `warning(Identifiable identifiable, java.lang.String text, java.lang.Throwable e)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(Identifiable identifiable, java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(java.lang.String text)`
    `void` | `warning(java.lang.String text, java.lang.Throwable e)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier)`
    `void` | `warning(java.util.function.Supplier<java.lang.String> supplier, java.lang.Throwable e)`
    `void` | `warning(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggerDefault INSTANCE

  - ### Method Detail

    - #### debug

          public void debug(java.lang.String text)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### info

          public void info(java.lang.String text)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(java.lang.String text)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### error

          public void error(java.lang.String text)

      Specified by:
        `error` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.lang.String text)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.lang.String text)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.lang.String text)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.lang.String text)

      Specified by:
        `error` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.lang.String text,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.lang.String text,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.lang.String text,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.lang.String text,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(java.lang.String text,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### info

          public void info(java.lang.String text,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(java.lang.String text,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### error

          public void error(java.lang.String text,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### debug

          public void debug(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSupplierLogger`

    - #### info

          public void info(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(java.util.function.Supplier<java.lang.String> supplier,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### info

          public void info(Identifiable identifiable,
                           java.util.function.Supplier<java.lang.String> supplier,
                           java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(java.util.function.Supplier<java.lang.String> supplier,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### warning

          public void warning(Identifiable identifiable,
                              java.util.function.Supplier<java.lang.String> supplier,
                              java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSupplierLogger`

    - #### error

          public void error(java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### error

          public void error(Identifiable identifiable,
                            java.util.function.Supplier<java.lang.String> supplier,
                            java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSupplierLogger`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `EcmSimpleLogger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `EcmSimpleLogger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `EcmSimpleLogger`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `EcmSimpleLogger`

    - #### setLoggingLevel

          public void setLoggingLevel(LoggingLevel level)

      Specified by:
        `setLoggingLevel` in interface `EcmSimpleLogger`

    - #### debug

          public void debug(java.lang.Throwable e)

      Specified by:
        `debug` in interface `EcmSimpleLogger`

    - #### info

          public void info(java.lang.Throwable e)

      Specified by:
        `info` in interface `EcmSimpleLogger`

    - #### warning

          public void warning(java.lang.Throwable e)

      Specified by:
        `warning` in interface `EcmSimpleLogger`

    - #### error

          public void error(java.lang.Throwable e)

      Specified by:
        `error` in interface `EcmSimpleLogger`